/* 首页样式 */

/* Hero 区 */
.hero {
    height: calc(100vh - 64px);
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #fff;
    overflow: hidden;
}

.hero-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.hero-text {
    
    position: absolute;
    bottom: 4rem;
    z-index: 1;
    background: rgba(0, 0, 0, 0.2);
    padding: 2rem;
    border-radius: var(--border-radius);
}

.hero-text h2 {
    font-size: 3rem;
    margin-bottom: 0.5rem;
}

.hero-text p {
    font-size: 1rem;
}



/* 关于 */
.about {
    margin-top: 64px;
    display: flex;
    gap: 2rem;
}

.about img {
    width: 400px;
    height: auto;
    object-fit: cover;
    filter: grayscale(20%);
}

.about .content{
    padding: 2rem 1rem;
    background: var(--light-gray);
    border-radius: var(--border-radius);
}
.about h2{
    font-weight: 500;
    margin-top: 2rem;
}

.about h3 {
    letter-spacing: 2px;
    font-weight: 300;
    font-size: 18px;
    margin-bottom: 1rem;
}

.about p{
    margin: 1rem 0;
}

.about .content span{
    color: var(--logo-color);
    padding: 0 0.5rem;
}


/* 服务 */
.services {
    margin-top: 64px;
    padding: 64px 1rem 0;
    background-color: var(--light-gray);
}

.services .services-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    flex-direction: row;
    gap: 2rem;
    margin-top: 2rem;
    position: relative;
}

.service-item {
    background: var(--light-gray);
    padding: 1.2rem;
    flex: 1;
    border-radius: var(--border-radius);
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: all var(--transition-speed) ease;
    cursor: pointer;
    border: 2px solid transparent;
}
.service-item:hover{
    border-color: var(--primary-color);
}
.service-item svg{
    width: 40px;
    height: 40px;
    stroke-width: 2px;
    stroke: var(--primary-color);
    transition: stroke var(--transition-speed) ease-in-out;
}
.service-item:hover svg{
    stroke: var(--primary-color);
}
.service-item h3 {
    text-align: center;
    font-weight: 500;
    margin-bottom: 0.5rem;
}

.service-item p {
    color: var(--secondary-color);
    text-align: left;
    margin-bottom: 1rem;
    font-weight: 400;

}
.service-content .more{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #ddd;
    position: absolute;
    top: 50%;
    right: 10px;
}

/* 招聘 */
#recruit{
    width: 100vw;
    margin-top: 64px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}
.recruit-title{
    font-size: 48px;
    font-weight: 400;
}

/* 加入我们按钮 */
.btn-join{
    text-align: center;
    letter-spacing: 2px;
    font-size: 20px;
    padding: 0.25rem 1rem;
    border-radius: var(--border-radius);
    color: var(--primary-color);
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    transition: background-color var(--transition-speed) ease;
    border: 3px solid transparent;
    border-bottom: 3px solid var(--primary-color);
}
.btn-join:hover{
    background-color: var(--primary-color);
    color: #fff;
}

/*联系我们*/
.contact{
    margin-top: 2rem;
}

.contact-info{
    display: flex;
    gap: 2rem;
    align-items: center;
}

.contact-me{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    font-weight: 500;
    margin-bottom: 2rem;
}
.contact-me a{
    color: var(--primary-color);
    text-decoration: none;
    padding: 0.3rem 1rem;
    background-color: var(--primary-color);
    color: #fff;
    border-radius: var(--border-radius);
    display: flex;
    align-items: center;
    gap: 0.3rem;
    letter-spacing: 2px;
}
.contact-me a svg{
    width: 20px;
    height: 20px;
}
.contact-me a:hover{
    color: var(--primary-color);
    background-color: var(--light-gray);
}
.contact-me p{
    margin-top: 0.5rem;
    color: var(--secondary-color);
    font-weight: 400;
}


.contact-env{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.contact-env  img{
    width: 100%;
    aspect-ratio: 4/3;
    object-fit: cover;
    border-radius: var(--border-radius);
}




/* 768 - 1000px */
@media(max-width: 1000px) and (min-width: 768px){
    .services .services-content{
        grid-template-columns: repeat(2, 1fr);
    }
}




/* Responsive Navigation */
/* <768px */
@media (max-width: 768px) {
    .hero{
        height: 400px;
        width: 100%;
        position: relative;
    }
    .hero-image{
        width: 100%;
        object-fit: cover;
    }

    .hero-text{
        font-size: 24px;
    }
    .hero-text h2{
        font-size: 24px;
    }
    .hero-text p{
        font-size: 16px;
    }

    .section-content{
        flex-direction: column;
    }

    .about {
        flex-direction: column;
    }
    .about img {
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .services .services-content {
        flex-direction: column;
        grid-template-columns: 1fr;
    }



    .contact-info {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
    }

    .contact-env {
        grid-template-columns: 1fr;
    }

    .contact-env img {
        width: 100%;
    }


    footer{
        flex-direction: column;
        box-sizing: border-box;
        padding: 2rem 1rem 0;
    }
    footer .footer-us{
        flex-direction: column;
        gap: 1rem;
        align-items: center;
    }
    footer .footer-us .us{
        align-items: center;
    }
    footer .logo-name{
        text-align: center;
    }
    footer .footer-us .contact{
        text-align: center;
    }
    footer .footer-info{
        flex-direction: column;
        gap: 1rem;
        align-items: center;
    }
}

